<!doctype html>
<html class="no-js" lang="">
    @@include('./template/_head.html')
    <body>
    	
    	@@include('./template/_header.html')
    	<div class="pageWrap">
    		
    		<p class="title">CONTACT US</p>

            <div class="whereTo" id="contact">
                <img :src="stores[currentIdx].img" class="storeImg">
                <img src="images/titles/wheretobuy.png" class="wheretoTitle">

                <div class="wheretoSelect">
                    <span id="store-name">請選擇分店</span>
                    <select id="store-selector" @change="changestore">
                        <option v-for="(store, index) in stores" :value="store.value" :data-idx="index">{{store.name}}</option>
                    </select>
                </div>

                <div v-for="(store, index) in stores" class="whereCnt" :class="(currentIdx === index)?'active': ''" :id="'whereTo' + store.value">
                    <div>
                        <p>{{store.address}}</p>
                        <p>門市電話：{{store.tel}}</p>   
                        <p>營業時間：<span id="opentime"></span></p>
                        
                    </div>
                    <div>
                        <a :href="store.googleMap" target="_blank" class="ess-icon whereToMap"></a>
                    </div>
                </div>

                <div class="customerService">
                    <p>客服專線：(02)2747-4656</p>
                    <p>客服信箱：service@essence.com.tw</p>
                    <p>服務時間：10:00 ~ 12:00 / 14:00 ~ 18:00（週六日及例假日休息）</p>
                </div>

            </div>


            @@include('./template/_pageFooter.html')

    	</div><!-- end pageWrap -->


        <script>
            $(function() {

                var vm = new Vue({
                    el: '#contact',
                    data: {
                        stores: [
                            {
                                "value": "01",
                                "name": "敦南旗艦店",
                                "img": "images/assets/store1.jpg",
                                "address": "台北市大安區敦化南路一段232巷4號1樓",
                                "googleMap": "http://maps.google.com/?q=%E5%8F%B0%E5%8C%97%E5%B8%82%E5%A4%A7%E5%AE%89%E5%8D%80%E5%8C%97%E5%B8%82%E6%95%A6%E5%8C%96%E5%8D%97%E8%B7%AF%E4%B8%80%E6%AE%B5232%E5%B7%B74%E8%99%9F1%E6%A8%93",
                                "time": "11:30 - 20:00<br>例假日14:30",
                                "tel": "(02)87727321"                    
                            },
                            {
                                "value": "02",
                                "name": "板橋MegaCity門市",
                                "img": "images/assets/store2.jpg",
                                "address": "新北市板橋區新站路28號5樓",
                                "googleMap": "https://www.google.com/maps?q=%E6%96%B0%E5%8C%97%E5%B8%82%E6%9D%BF%E6%A9%8B%E5%8D%80%E6%96%B0%E7%AB%99%E8%B7%AF28%E8%99%9F%E4%BA%94%E6%A8%93",
                                "time": "11:30 - 20:00",
                                "tel": "(02)29571157"                    
                            },
                            {
                                "value": "03",
                                "name": "高雄漢神店",
                                "img": "images/assets/store3.jpg",
                                "address": "高雄市前金區成功一路266-1號B2F",
                                "googleMap": "http://maps.google.com/?q=%E9%AB%98%E9%9B%84%E5%B8%82%E5%89%8D%E9%87%91%E5%8D%80%E6%88%90%E5%8A%9F%E4%B8%80%E8%B7%AF266-1%E8%99%9FB2F",
                                "time": "11:30 - 20:00",
                                "tel": "(07)2722188"                    
                            }

                        ],
                        currentIdx: 0
                    },
                    created: function() {

                    },
                    mounted: function() {
                        var self = this;
                        self.stores.forEach(function(elem, index) {
                            $('.whereCnt').eq(index).find('#opentime').append($.parseHTML(self.stores[index].time));
                        });
                    },
                    methods: {
                        changestore(e) {
                            this.currentIdx = parseInt($(e.target).find('option:selected').data('idx'));
                        }
                    },
                    watch: {
                        
                    }
                });
            });
        </script>

        

    	<div class="pageCover"></div>
    	@@include('./template/_footer.html')
    	
    </body>
</html>